%define	upstream_name	 Fuse
%define	upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Write filesystems in Perl using FUSE
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DP/DPAVLIN/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  fuse-devel
BuildRequires:  fuse
BuildRequires:	perl-devel
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
This lets you implement filesystems in perl, through the FUSE (Filesystem in
USErspace) kernel/lib interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc AUTHORS Changes README
%{perl_vendorarch}/Fuse*
%{perl_vendorarch}/auto/Fuse*
%{_mandir}/man3/*


%changelog
* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 409018
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-4mdv2009.0
+ Revision: 257076
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.09-2mdv2008.1
+ Revision: 151380
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - description is not a programmer manual

* Thu Dec 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.1
+ Revision: 115858
- update to new version 0.09

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.0
+ Revision: 53372
- new version

  + Funda Wang <fundawang@mandriva.org>
    - New version

* Mon Apr 30 2007 Michael Scherer <misc@mandriva.org> 0.06-4mdv2008.0
+ Revision: 19631
- rebuild
- use %%rel


* Mon Jan 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-3mdk
- Add BuildRequires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.06-2mdk
- fix requires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.06-1mdk
- initial Mandriva release

